Package com.sas.metadata.remote

# Interface Tree

All Superinterfaces:
  `CMetadata`, `MdObjectBase`, `MdObjectBaseUtil`, `MdObjectBaseXML`, `PrimaryType`, `Remote`, `Root`

public interface Tree extends PrimaryType
This type represents a tree that is the root node for a hierarchy of groups of metadata.

Attributes of Tree are:

- `TreeType`

Associations of Tree are:

- `AssociatedIdentity`
- `AssociatedPSPortlet`
- `Members`
- `ParentTree`
- `SoftwareComponents`
- `SubTrees`

## Usage

To create an instance of this Tree, use the `factory` create methods.
Example: create a Tree with name "Tree_Object", in repository "AAAAAAAA".

     // create a store to contain your objects for this change. If you do not have an existing object
     // or store to use.  You may obtain the store from another object by using Object.getObjectStore().
     MdFactory factory; //where "factory" is a valid MdFactory instance
     MdObjectStore objectStore = factory.createObjectStore();
     Tree myObject = (Tree) factory.createComplexMetadataObject(objectStore, "Tree_Object", MetadataObjects.TREE, "AAAAAAAA");
     myObject.updateMetadataAll();  // Write object to server
     objectStore.dispose();  // dispose of the object store if it is no longer needed

## Behavior

- Attributes and associations for this object can be retrieved by using the methods in `MdOMIUtil`.
- When changes are made to the object, either by setting an attribute or adding objects to a particular association, they can be persisted to the metadata server with the `updateMetadataAll` method.
- If an object needs to be deleted, the `delete` method can be used. This will flag the object as being deleted on the client, and will require an update call to persist the change to the server.

## Dependencies

This class depends on objects being contained in an MdObjectStore. Object stores should be disposed of when they are no longer needed as this will help clean up memory. Disposing an object store will dispose of all objects contained within that store.

Since:
  9.0

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `ASSOCIATION_ASSOCIATEDIDENTITY_NAME`
  Constant used for the name of the AssociatedIdentity association.
  `static final String`
  `ASSOCIATION_ASSOCIATEDPSPORTLET_NAME`
  Constant used for the name of the AssociatedPSPortlet association.
  `static final String`
  `ASSOCIATION_MEMBERS_NAME`
  Constant used for the name of the Members association.
  `static final String`
  `ASSOCIATION_PARENTTREE_NAME`
  Constant used for the name of the ParentTree association.
  `static final String`
  `ASSOCIATION_SOFTWARECOMPONENTS_NAME`
  Constant used for the name of the SoftwareComponents association.
  `static final String`
  `ASSOCIATION_SUBTREES_NAME`
  Constant used for the name of the SubTrees association.
  `static final String`
  `ATTRIBUTE_TREETYPE_NAME`
  Constant used for the name of the TreeType attribute.

  ### Fields inherited from interface com.sas.metadata.remote.MdObjectBase

  `ATTRIBUTE_DESC_NAME, ATTRIBUTE_ID_NAME, ATTRIBUTE_METADATACREATED_NAME, ATTRIBUTE_METADATAUPDATED_NAME, ATTRIBUTE_NAME_NAME`

  ### Fields inherited from interface com.sas.metadata.remote.PrimaryType

  `ASSOCIATION_FAVORITESCONTAINERS_NAME, ATTRIBUTE_ISHIDDEN_NAME, ATTRIBUTE_PUBLICTYPE_NAME`

  ### Fields inherited from interface com.sas.metadata.remote.Root

  `ASSOCIATION_ACCESSCONTROLS_NAME, ASSOCIATION_CHANGES_NAME, ASSOCIATION_CUSTOMASSOCIATIONS_NAME, ASSOCIATION_DOCUMENTS_NAME, ASSOCIATION_EXTENSIONS_NAME, ASSOCIATION_EXTERNALIDENTITIES_NAME, ASSOCIATION_GROUPS_NAME, ASSOCIATION_IMPLEMENTORS_NAME, ASSOCIATION_KEYWORDS_NAME, ASSOCIATION_LOCALIZEDATTRIBUTES_NAME, ASSOCIATION_NOTES_NAME, ASSOCIATION_PRIMARYPROPERTYGROUP_NAME, ASSOCIATION_PROMPTS_NAME, ASSOCIATION_PROPERTIES_NAME, ASSOCIATION_PROPERTYSETS_NAME, ASSOCIATION_REFERENCEDOBJECTS_NAME, ASSOCIATION_RESPONSIBLEPARTIES_NAME, ASSOCIATION_SOURCETRANSFORMATIONS_NAME, ASSOCIATION_SPECSOURCETRANSFORMATIONS_NAME, ASSOCIATION_SPECTARGETTRANSFORMATIONS_NAME, ASSOCIATION_TARGETTRANSFORMATIONS_NAME, ASSOCIATION_TIMESTAMPS_NAME, ASSOCIATION_TREES_NAME, ASSOCIATION_TSOBJECTNAMESPACE_NAME, ASSOCIATION_USEDBYPROTOTYPES_NAME, ASSOCIATION_USINGPROTOTYPE_NAME, ASSOCIATION_VARIABLES_NAME, ATTRIBUTE_CHANGESTATE_NAME, ATTRIBUTE_LOCKEDBY_NAME, ATTRIBUTE_USAGEVERSION_NAME`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Identity`
  `getAssociatedIdentity()`
  Gets the `Identity` for `AssociatedIdentity`
  `AssociationList`
  `getAssociatedIdentitys()`
  Gets the AssociationList of `AssociatedIdentitys`
  `AssociationList`
  `getAssociatedIdentitys(boolean fGoToServer)`
  Gets the Associationlist of `AssociatedIdentitys`
  `PSPortlet`
  `getAssociatedPSPortlet()`
  Gets the `PSPortlet` for `AssociatedPSPortlet`
  `AssociationList`
  `getAssociatedPSPortlets()`
  Gets the AssociationList of `AssociatedPSPortlets`
  `AssociationList`
  `getAssociatedPSPortlets(boolean fGoToServer)`
  Gets the Associationlist of `AssociatedPSPortlets`
  `AssociationList`
  `getMembers()`
  Gets the AssociationList of `Members`
  `AssociationList`
  `getMembers(boolean fGoToServer)`
  Gets the Associationlist of `Members`
  `Tree`
  `getParentTree()`
  Gets the `Tree` for `ParentTree`
  `AssociationList`
  `getParentTrees()`
  Gets the AssociationList of `ParentTrees`
  `AssociationList`
  `getParentTrees(boolean fGoToServer)`
  Gets the Associationlist of `ParentTrees`
  `AssociationList`
  `getSoftwareComponents()`
  Gets the Association list of `SoftwareComponents`
  `AssociationList`
  `getSoftwareComponents(boolean fGoToServer)`
  Gets the Associationlist of `SoftwareComponents`
  `AssociationList`
  `getSubTrees()`
  Gets the Association list of `SubTrees`
  `AssociationList`
  `getSubTrees(boolean fGoToServer)`
  Gets the Associationlist of `SubTrees`
  `String`
  `getTreeType()`
  Gets the `String` value of `TreeType`
  `int`
  `getTreeTypeMaxLength()`
  Gets the maximum length of `TreeType`
  `int`
  `getTreeTypeState()`
  Gets the Metadata State of `TreeType`
  `void`
  `initializePredObjects()`
  (S) Adds the Associated objects to the predObjects which are:
  `AssociatedIdentity`
  `AssociatedPSPortlet`
  `Members`
  `ParentTree`
  `void`
  `initializeRequiredObjects()`
  (S) This initializes the Required Objects(Roles) which are:
  `void`
  `setAssociatedIdentity(Identity inObject)`
  Sets the `AssociatedIdentitys` list 0th element to be `inObject`.
  `void`
  `setAssociatedIdentitys(AssociationList list)`
  Sets the `AssociatedIdentitys` list to be `list`.
  `void`
  `setAssociatedIdentitys(AssociationList list, int state)`
  Sets the `AssociatedIdentitys` list to be `list`.
  `void`
  `setAssociatedPSPortlet(PSPortlet inObject)`
  Sets the `AssociatedPSPortlets` list 0th element to be `inObject`.
  `void`
  `setAssociatedPSPortlets(AssociationList list)`
  Sets the `AssociatedPSPortlets` list to be `list`.
  `void`
  `setAssociatedPSPortlets(AssociationList list, int state)`
  Sets the `AssociatedPSPortlets` list to be `list`.
  `void`
  `setMembers(AssociationList list)`
  Sets the `Members` list to be `list`.
  `void`
  `setMembers(AssociationList inObjects, int state)`
  Sets the entire AssociationList to match the passed in Vector, sets the state of the AssociationList
  `void`
  `setParentTree(Tree inObject)`
  Sets the `ParentTrees` list 0th element to be `inObject`.
  `void`
  `setParentTrees(AssociationList list)`
  Sets the `ParentTrees` list to be `list`.
  `void`
  `setParentTrees(AssociationList list, int state)`
  Sets the `ParentTrees` list to be `list`.
  `void`
  `setSoftwareComponents(AssociationList list)`
  Sets the `SoftwareComponents` list to be `list`.
  `void`
  `setSoftwareComponents(AssociationList inObjects, int state)`
  Sets the entire SoftwareComponents list to match the passed in AssociationList, sets the state of the SoftwareComponents
  `void`
  `setSubTrees(AssociationList list)`
  Sets the `SubTrees` list to be `list`.
  `void`
  `setSubTrees(AssociationList inObjects, int state)`
  Sets the entire SubTrees list to match the passed in AssociationList, sets the state of the SubTrees
  `void`
  `setTreeType(String inTreeType)`
  Sets the `TreeType` value and sets the state to MetadataState.LOCAL.
  `void`
  `setTreeType(String inTreeType, int state)`
  Sets the `TreeType` Metadata State.
  `void`
  `setTreeTypeState(int state)`
  Sets the Metadata State of `TreeType`.

  ### Methods inherited from interface com.sas.metadata.remote.MdObjectBase

  `addElementToChangeList, clearChangeList, getChangeList, getCMetadataType, getDesc, getDescMaxLength, getDescState, getFQID, getId, getIdState, getMetadataCreated, getMetadataCreatedState, getMetadataUpdated, getMetadataUpdatedState, getName, getNameMaxLength, getNameState, getObjectStore, getPredAssociations, getRepositoryID, getRequiredAssociations, getState, isAssociationRequired, isNewObject, isPredAssociation, removeElementFromChangeList, resetObject, resetState, resetStates, setCMetadataType, setDesc, setDesc, setDescState, setFQID, setFQID, setId, setId, setIdState, setMetadataCreated, setMetadataCreated, setMetadataCreatedState, setMetadataUpdated, setMetadataUpdated, setMetadataUpdatedState, setName, setName, setNameState, setObjectStore, setState`

  ### Methods inherited from interface com.sas.metadata.remote.MdObjectBaseUtil

  `addMdObjectListener, delete, dispose, fireMdObjectModified, getAssociatedObjects, getAssociatedObjects, getAssociatedObjects, getAssociationNames, getAssocs, getAssocsWA, getAttributeNames, getAttrs, getAttrsStates, getAuthorizationUtil, getChangeManagementState, getChgMgtExternalIdentityImportType, getClientSideOnlyObject, getMdObjectAssociation, getPopulatedAssocs, getUpdatedAttrs, getViewList, isCheckedOut, isLocked, objectModified, removeMdObjectListener, setAttrs, setChangeManagementTargetRepository, setChgMgtExternalIdentityImportType, setClientSideOnlyObject, setMdObjectAssociation, touch, updateAssnsIds`

  ### Methods inherited from interface com.sas.metadata.remote.MdObjectBaseXML

  `closeUpdateMetadataXML, createEmptyXML, createObjectRefreshXML, createObjectXML, createObjectXML, createUpdateAssociationXML, createUpdateAssociationXML, createUpdateSimpleXML, doCreateUpdateXML, getUpdateSimpleSubstring, updateMetadataAll`

  ### Methods inherited from interface com.sas.metadata.remote.PrimaryType

  `getFavoritesContainers, getFavoritesContainers, getIsHidden, getIsHiddenState, getPublicType, getPublicTypeMaxLength, getPublicTypeState, setFavoritesContainers, setFavoritesContainers, setIsHidden, setIsHidden, setIsHidden, setIsHidden, setIsHiddenState, setPublicType, setPublicType, setPublicTypeState`

  ### Methods inherited from interface com.sas.metadata.remote.Root

  `getAccessControls, getAccessControls, getChanges, getChanges, getChangeState, getChangeStateMaxLength, getChangeStateState, getCustomAssociations, getCustomAssociations, getDocuments, getDocuments, getExtensions, getExtensions, getExternalIdentities, getExternalIdentities, getGroups, getGroups, getImplementors, getImplementors, getKeywords, getKeywords, getLocalizedAttributes, getLocalizedAttributes, getLockedBy, getLockedByMaxLength, getLockedByState, getNotes, getNotes, getPrimaryPropertyGroup, getPrimaryPropertyGroups, getPrimaryPropertyGroups, getPrompts, getPrompts, getProperties, getProperties, getPropertySets, getPropertySets, getReferencedObjects, getReferencedObjects, getResponsibleParties, getResponsibleParties, getSourceTransformations, getSourceTransformations, getSpecSourceTransformations, getSpecSourceTransformations, getSpecTargetTransformations, getSpecTargetTransformations, getTargetTransformations, getTargetTransformations, getTimestamps, getTimestamps, getTrees, getTrees, getTSObjectNamespace, getTSObjectNamespaces, getTSObjectNamespaces, getUsageVersion, getUsageVersionState, getUsedByPrototypes, getUsedByPrototypes, getUsingPrototype, getUsingPrototypes, getUsingPrototypes, getVariables, getVariables, setAccessControls, setAccessControls, setChanges, setChanges, setChangeState, setChangeState, setChangeStateState, setCustomAssociations, setCustomAssociations, setDocuments, setDocuments, setExtensions, setExtensions, setExternalIdentities, setExternalIdentities, setGroups, setGroups, setImplementors, setImplementors, setKeywords, setKeywords, setLocalizedAttributes, setLocalizedAttributes, setLockedBy, setLockedBy, setLockedByState, setNotes, setNotes, setPrimaryPropertyGroup, setPrimaryPropertyGroups, setPrimaryPropertyGroups, setPrompts, setPrompts, setProperties, setProperties, setPropertySets, setPropertySets, setReferencedObjects, setReferencedObjects, setResponsibleParties, setResponsibleParties, setSourceTransformations, setSourceTransformations, setSpecSourceTransformations, setSpecSourceTransformations, setSpecTargetTransformations, setSpecTargetTransformations, setTargetTransformations, setTargetTransformations, setTimestamps, setTimestamps, setTrees, setTrees, setTSObjectNamespace, setTSObjectNamespaces, setTSObjectNamespaces, setUsageVersion, setUsageVersion, setUsageVersion, setUsageVersion, setUsageVersionState, setUsedByPrototypes, setUsedByPrototypes, setUsingPrototype, setUsingPrototypes, setUsingPrototypes, setVariables, setVariables`

- ## Field Details

  - ### ATTRIBUTE_TREETYPE_NAME

    static final String ATTRIBUTE_TREETYPE_NAME
    Constant used for the name of the TreeType attribute.

    TreeType: This attribute allows applications to store information about what the intended use of this tree is.

    See Also:
      - Constant Field Values

  - ### ASSOCIATION_ASSOCIATEDIDENTITY_NAME

    static final String ASSOCIATION_ASSOCIATEDIDENTITY_NAME
    Constant used for the name of the AssociatedIdentity association.

    AssociatedIdentity: The identity associated with this home folder.

    See Also:
      - Constant Field Values

  - ### ASSOCIATION_ASSOCIATEDPSPORTLET_NAME

    static final String ASSOCIATION_ASSOCIATEDPSPORTLET_NAME
    Constant used for the name of the AssociatedPSPortlet association.

    AssociatedPSPortlet: The object for which this tree contains hierarchical information.

    See Also:
      - Constant Field Values

  - ### ASSOCIATION_MEMBERS_NAME

    static final String ASSOCIATION_MEMBERS_NAME
    Constant used for the name of the Members association.

    Members: The members of this tree.

    See Also:
      - Constant Field Values

  - ### ASSOCIATION_PARENTTREE_NAME

    static final String ASSOCIATION_PARENTTREE_NAME
    Constant used for the name of the ParentTree association.

    ParentTree: The parent of this tree.

    See Also:
      - Constant Field Values

  - ### ASSOCIATION_SOFTWARECOMPONENTS_NAME

    static final String ASSOCIATION_SOFTWARECOMPONENTS_NAME
    Constant used for the name of the SoftwareComponents association.

    SoftwareComponents: *Unknown*

    See Also:
      - Constant Field Values

  - ### ASSOCIATION_SUBTREES_NAME

    static final String ASSOCIATION_SUBTREES_NAME
    Constant used for the name of the SubTrees association.

    SubTrees: *Unknown*

    See Also:
      - Constant Field Values

- ## Method Details

  - ### initializeRequiredObjects

    void initializeRequiredObjects() throws RemoteException
    (S) This initializes the Required Objects(Roles) which are:
    Specified by:
      `initializeRequiredObjects` in interface `MdObjectBaseUtil`
    Specified by:
      `initializeRequiredObjects` in interface `PrimaryType`
    Specified by:
      `initializeRequiredObjects` in interface `Root`
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.

  - ### initializePredObjects

    void initializePredObjects() throws RemoteException
    (S) Adds the Associated objects to the predObjects which are:
    `AssociatedIdentity`
    `AssociatedPSPortlet`
    `Members`
    `ParentTree`
    Specified by:
      `initializePredObjects` in interface `MdObjectBase`
    Specified by:
      `initializePredObjects` in interface `PrimaryType`
    Specified by:
      `initializePredObjects` in interface `Root`
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.

  - ### getTreeType

    String getTreeType() throws RemoteException
    Gets the `String` value of `TreeType`
    Returns:
      The `TreeType`
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.

  - ### getTreeTypeState

    int getTreeTypeState() throws RemoteException
    Gets the Metadata State of `TreeType`
    Returns:
      The State.
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.

  - ### getTreeTypeMaxLength

    int getTreeTypeMaxLength() throws RemoteException
    Gets the maximum length of `TreeType`
    Returns:
      The max size
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.

  - ### getAssociatedIdentitys

    AssociationList getAssociatedIdentitys() throws RemoteException, MdException
    Gets the AssociationList of `AssociatedIdentitys`
    Returns:
      Returns the AssociationList of `AssociatedIdentitys` which can be of type:
      Identity
      IdentityGroup
      Person
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.
      `MdException`

  - ### getAssociatedIdentity

    Identity getAssociatedIdentity() throws RemoteException, MdException
    Gets the `Identity` for `AssociatedIdentity`
    Returns:
      The `Identity` ( `null` if not set) of `AssociatedIdentity`which can be of type:
      Identity
      IdentityGroup
      Person
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.
      `MdException` - If error getting/setting part of the object.

  - ### getAssociatedPSPortlets

    AssociationList getAssociatedPSPortlets() throws RemoteException, MdException
    Gets the AssociationList of `AssociatedPSPortlets`
    Returns:
      Returns the AssociationList of `AssociatedPSPortlets` which can be of type:
      PSPortlet
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.
      `MdException`

  - ### getAssociatedPSPortlet

    PSPortlet getAssociatedPSPortlet() throws RemoteException, MdException
    Gets the `PSPortlet` for `AssociatedPSPortlet`
    Returns:
      The `PSPortlet` ( `null` if not set) of `AssociatedPSPortlet`which can be of type:
      PSPortlet
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.
      `MdException` - If error getting/setting part of the object.

  - ### getMembers

    AssociationList getMembers() throws RemoteException, MdException
    Gets the AssociationList of `Members`
    Returns:
      Returns the AssociationList of `Members` which can be of type:
      All types
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.
      `MdException` - If error getting/setting part of the object.

  - ### getParentTrees

    AssociationList getParentTrees() throws RemoteException, MdException
    Gets the AssociationList of `ParentTrees`
    Returns:
      Returns the AssociationList of `ParentTrees` which can be of type:
      Tree
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.
      `MdException`

  - ### getParentTree

    Tree getParentTree() throws RemoteException, MdException
    Gets the `Tree` for `ParentTree`
    Returns:
      The `Tree` ( `null` if not set) of `ParentTree`which can be of type:
      Tree
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.
      `MdException` - If error getting/setting part of the object.

  - ### getSoftwareComponents

    AssociationList getSoftwareComponents() throws RemoteException, MdException
    Gets the Association list of `SoftwareComponents`
    Returns:
      The AssociationList of `SoftwareComponents` which can be of type:
      SoftwareComponent
      DeployedComponent
      ConfiguredComponent
      ServiceComponent
      ServerComponent
      LogicalServer
      ServerContext
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.
      `MdException` - If error getting/setting part of the object.

  - ### getSubTrees

    AssociationList getSubTrees() throws RemoteException, MdException
    Gets the Association list of `SubTrees`
    Returns:
      The AssociationList of `SubTrees` which can be of type:
      Tree
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.
      `MdException` - If error getting/setting part of the object.

  - ### getAssociatedIdentitys

    AssociationList getAssociatedIdentitys(boolean fGoToServer) throws RemoteException, MdException
    Gets the Associationlist of `AssociatedIdentitys`
    Parameters:
      `fGoToServer` - boolean Get the value from the server.
    Returns:
      Returns the AssociationList of `AssociatedIdentitys` which can be of type:
      Identity
      IdentityGroup
      Person
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.
      `MdException` - If error getting/setting part of the object.

  - ### getAssociatedPSPortlets

    AssociationList getAssociatedPSPortlets(boolean fGoToServer) throws RemoteException, MdException
    Gets the Associationlist of `AssociatedPSPortlets`
    Parameters:
      `fGoToServer` - boolean Get the value from the server.
    Returns:
      Returns the AssociationList of `AssociatedPSPortlets` which can be of type:
      PSPortlet
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.
      `MdException` - If error getting/setting part of the object.

  - ### getMembers

    AssociationList getMembers(boolean fGoToServer) throws RemoteException, MdException
    Gets the Associationlist of `Members`
    Parameters:
      `fGoToServer` - boolean Get the value from the server.
    Returns:
      Returns the AssociationList of `Members` which can be of type:
      All types
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.
      `MdException` - If error getting/setting part of the object.

  - ### getParentTrees

    AssociationList getParentTrees(boolean fGoToServer) throws RemoteException, MdException
    Gets the Associationlist of `ParentTrees`
    Parameters:
      `fGoToServer` - boolean Get the value from the server.
    Returns:
      Returns the AssociationList of `ParentTrees` which can be of type:
      Tree
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.
      `MdException` - If error getting/setting part of the object.

  - ### getSoftwareComponents

    AssociationList getSoftwareComponents(boolean fGoToServer) throws RemoteException, MdException
    Gets the Associationlist of `SoftwareComponents`
    Parameters:
      `fGoToServer` - boolean Get the value from the server.
    Returns:
      Returns the `SoftwareComponents` which can be of type:
      SoftwareComponent
      DeployedComponent
      ConfiguredComponent
      ServiceComponent
      ServerComponent
      LogicalServer
      ServerContext
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.
      `MdException` - If error getting/setting part of the object.

  - ### getSubTrees

    AssociationList getSubTrees(boolean fGoToServer) throws RemoteException, MdException
    Gets the Associationlist of `SubTrees`
    Parameters:
      `fGoToServer` - boolean Get the value from the server.
    Returns:
      Returns the `SubTrees` which can be of type:
      Tree
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.
      `MdException` - If error getting/setting part of the object.

  - ### setTreeType

    void setTreeType(String inTreeType) throws RemoteException
    Sets the `TreeType` value and sets the state to MetadataState.LOCAL.
    Parameters:
      `inTreeType` - String
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setTreeType

    void setTreeType(String inTreeType, int state) throws RemoteException
    Sets the `TreeType` Metadata State.
    Parameters:
      `inTreeType` - String
      `state` - int
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setTreeTypeState

    void setTreeTypeState(int state) throws RemoteException
    Sets the Metadata State of `TreeType`.
    Parameters:
      `state` - int
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setAssociatedIdentitys

    void setAssociatedIdentitys(AssociationList list) throws RemoteException
    Sets the `AssociatedIdentitys` list to be `list`. Object of which can be of type:
    Identity
    IdentityGroup
    Person
    Parameters:
      `list` - AssociationList
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setAssociatedIdentitys

    void setAssociatedIdentitys(AssociationList list, int state) throws RemoteException
    Sets the `AssociatedIdentitys` list to be `list`. Object of which can be of type:
    Identity
    IdentityGroup
    Person
    Parameters:
      `list` - AssociationList
      `state` - int
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setAssociatedIdentity

    void setAssociatedIdentity(Identity inObject) throws RemoteException
    Sets the `AssociatedIdentitys` list 0th element to be `inObject`.
    Parameters:
      `inObject` - Identity
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setAssociatedPSPortlets

    void setAssociatedPSPortlets(AssociationList list) throws RemoteException
    Sets the `AssociatedPSPortlets` list to be `list`. Object of which can be of type:
    PSPortlet
    Parameters:
      `list` - AssociationList
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setAssociatedPSPortlets

    void setAssociatedPSPortlets(AssociationList list, int state) throws RemoteException
    Sets the `AssociatedPSPortlets` list to be `list`. Object of which can be of type:
    PSPortlet
    Parameters:
      `list` - AssociationList
      `state` - int
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setAssociatedPSPortlet

    void setAssociatedPSPortlet(PSPortlet inObject) throws RemoteException
    Sets the `AssociatedPSPortlets` list 0th element to be `inObject`.
    Parameters:
      `inObject` - PSPortlet
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setMembers

    void setMembers(AssociationList list) throws RemoteException
    Sets the `Members` list to be `list`. Objects of which can be of type:
    All types
    Parameters:
      `list` - AssociationList
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setMembers

    void setMembers(AssociationList inObjects, int state) throws RemoteException
    Sets the entire AssociationList to match the passed in Vector, sets the state of the AssociationList
    Parameters:
      `inObjects` - AssociationList
      `state` - int
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setParentTrees

    void setParentTrees(AssociationList list) throws RemoteException
    Sets the `ParentTrees` list to be `list`. Object of which can be of type:
    Tree
    Parameters:
      `list` - AssociationList
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setParentTrees

    void setParentTrees(AssociationList list, int state) throws RemoteException
    Sets the `ParentTrees` list to be `list`. Object of which can be of type:
    Tree
    Parameters:
      `list` - AssociationList
      `state` - int
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setParentTree

    void setParentTree(Tree inObject) throws RemoteException
    Sets the `ParentTrees` list 0th element to be `inObject`.
    Parameters:
      `inObject` - Tree
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setSoftwareComponents

    void setSoftwareComponents(AssociationList list) throws RemoteException
    Sets the `SoftwareComponents` list to be `list`. Objects of which can be of type:
    SoftwareComponent
    DeployedComponent
    ConfiguredComponent
    ServiceComponent
    ServerComponent
    LogicalServer
    ServerContext
    Parameters:
      `list` - AssociationList
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setSoftwareComponents

    void setSoftwareComponents(AssociationList inObjects, int state) throws RemoteException
    Sets the entire SoftwareComponents list to match the passed in AssociationList, sets the state of the SoftwareComponents
    Parameters:
      `inObjects` - AssociationList
      `state` - int
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setSubTrees

    void setSubTrees(AssociationList list) throws RemoteException
    Sets the `SubTrees` list to be `list`. Objects of which can be of type:
    Tree
    Parameters:
      `list` - AssociationList
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setSubTrees

    void setSubTrees(AssociationList inObjects, int state) throws RemoteException
    Sets the entire SubTrees list to match the passed in AssociationList, sets the state of the SubTrees
    Parameters:
      `inObjects` - AssociationList
      `state` - int
    Throws:
      `RemoteException` - If error communicating with remote object.